Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.convert
Class FloatConverter

    java.lang.Object
      javax.faces.convert.FloatConverter

All Implemented Interfaces:
  Converter

public class FloatConverter
extends java.lang.Object
implements Converter

Version:
  $Revision: 169646 $ $Date: 2005-05-11 11:34:57 -0400 (Wed, 11 May 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: grantsmith $)

Field Summary
`static java.lang.String` | `CONVERTER_ID`

Constructor Summary
`FloatConverter()`

Method Summary
`java.lang.Object` | `getAsObject(FacesContext facesContext, UIComponent uiComponent, java.lang.String value)`
`java.lang.String` | `getAsString(FacesContext facesContext, UIComponent uiComponent, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONVERTER_ID

    public static final java.lang.String CONVERTER_ID

See Also:
  Constant Field Values

Constructor Detail

### FloatConverter

    public FloatConverter()

Method Detail

### getAsObject

    public java.lang.Object getAsObject(FacesContext facesContext,
                                        UIComponent uiComponent,
                                        java.lang.String value)

  Specified by:
    `getAsObject` in interface `Converter`

### getAsString

    public java.lang.String getAsString(FacesContext facesContext,
                                        UIComponent uiComponent,
                                        java.lang.Object value)

  Specified by:
    `getAsString` in interface `Converter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD